petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscContainerGetPointer

Gets the pointer value contained in the container.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscContainerGetPointer(PetscContainer obj,void **ptr)

Not Collective

### Input Parameter

obj -the object created with PetscContainerCreate()

### Output Parameter

ptr -the pointer value

### See Also

PetscContainerCreate(), PetscContainerDestroy(),
PetscContainerSetPointer()

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages